Package org.apache.struts2.config

# Class ConfigurationManager

java.lang.Object
org.apache.struts2.config.ConfigurationManager

public class ConfigurationManager extends Object
ConfigurationManager - central for XWork Configuration management, including its ConfigurationProvider.

Version:
  $Date$ $Id$
Author:
  Jason Carreira, tm_jee

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Configuration`
  `configuration`
  `protected String`
  `defaultFrameworkBeanName`
  `protected static final org.apache.logging.log4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationManager(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContainerProvider(ContainerProvider provider)`
  adds a configuration provider to the List of ConfigurationProviders.
  `protected void`
  `addDefaultContainerProviders()`
  `void`
  `clearContainerProviders()`
  `void`
  `conditionalReload()`
  Reloads the Configuration files if the configuration files indicate that they need to be reloaded.
  `protected Configuration`
  `createConfiguration(String beanName)`
  `void`
  `destroyAndReload()`
  `void`
  `destroyConfiguration()`
  Clear all container providers and destroy managing Configuration instance
  `Configuration`
  `getConfiguration()`
  `List<ContainerProvider>`
  `getContainerProviders()`
  Get the current list of ConfigurationProviders.
  `protected void`
  `initialiseConfiguration()`
  `void`
  `reload()`
  `void`
  `removeContainerProvider(ContainerProvider provider)`
  `void`
  `setConfiguration(Configuration configuration)`
  `void`
  `setContainerProviders(List<ContainerProvider> containerProviders)`
  Set the list of configuration providers

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOG

    protected static final org.apache.logging.log4j.Logger LOG

  - ### configuration

    protected Configuration configuration

  - ### defaultFrameworkBeanName

    protected String defaultFrameworkBeanName

- ## Constructor Details

  - ### ConfigurationManager

    public ConfigurationManager(String name)

- ## Method Details

  - ### getConfiguration

    public Configuration getConfiguration()
    Returns:
      the current XWork configuration object. By default an instance of DefaultConfiguration will be returned
    See Also:
      - `DefaultConfiguration`

  - ### initialiseConfiguration

    protected void initialiseConfiguration()

  - ### addDefaultContainerProviders

    protected void addDefaultContainerProviders()

  - ### createConfiguration

    protected Configuration createConfiguration(String beanName)

  - ### destroyConfiguration

    public void destroyConfiguration()
    Clear all container providers and destroy managing Configuration instance

  - ### setConfiguration

    public void setConfiguration(Configuration configuration)

  - ### getContainerProviders

    public List<ContainerProvider> getContainerProviders()
    Get the current list of ConfigurationProviders.
    Returns:
      the list of registered ConfigurationProvider objects
    See Also:
      - `ConfigurationProvider`

  - ### setContainerProviders

    public void setContainerProviders(List<ContainerProvider> containerProviders)
    Set the list of configuration providers
    Parameters:
      `containerProviders` - list of `ConfigurationProvider` to be set

  - ### addContainerProvider

    public void addContainerProvider(ContainerProvider provider)
    adds a configuration provider to the List of ConfigurationProviders. a given ConfigurationProvider may be added more than once
    Parameters:
      `provider` - the ConfigurationProvider to register

  - ### removeContainerProvider

    public void removeContainerProvider(ContainerProvider provider)

  - ### clearContainerProviders

    public void clearContainerProviders()

  - ### conditionalReload

    public void conditionalReload()
    Reloads the Configuration files if the configuration files indicate that they need to be reloaded.

  - ### destroyAndReload

    public void destroyAndReload()

  - ### reload

    public void reload()